### Type parameters

- #### T

### Hierarchy

- SortedArray

### Implements

- Iterable<T>

## Index

### Constructors

- constructor

### Methods

- __@iterator
- add
- delete
- size

## Constructors

### constructor

- new SortedArray(comparator: Comparator<T>): SortedArray

- - Defined in sortedList.ts:7

  #### Parameters

  - ##### comparator: Comparator<T>

  #### Returns SortedArray

## Methods

### __@iterator

- __@iterator(): IterableIterator<T>

- - Defined in sortedList.ts:12

  #### Returns IterableIterator<T>

### add

- add(item: T): void

- - Defined in sortedList.ts:18

  #### Parameters

  - ##### item: T

  #### Returns void

### delete

- delete(theItem: T): void

- - Defined in sortedList.ts:25

  #### Parameters

  - ##### theItem: T

  #### Returns void

### size

- size(): number

- - Defined in sortedList.ts:32

  #### Returns number

Generated using TypeDoc